Summary: Library for H323 spec.
Name: openh323
Version: 1.11.2
Release: 4.1E.XOS.1
URL: http://www.openh323.org/
Source0: %{name}_%{version}.tar.gz
Patch0: openh323-1.7.4-makefiles2.patch
Patch1: openh323-nosamples.patch
Patch2: openh323-1.10.4-IHATEYOU.patch
Patch3: openh323-1.8.0-libname.patch
Patch4: openh323-1.11.2-PIC.patch
Patch6: openh323-1.9.10-strndup.patch
License: MPL
Group: System Environment/Libraries
Requires: pwlib >= 1.4.7-3
BuildRequires: pwlib-devel >= 1.4.7-3
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Implementation of the ITU H.323 teleconferencing protocol.

%package devel
Summary: Development package for openh323
Group: Development/Libraries
Requires: openh323 = %{PACKAGE_VERSION}
%description devel
Static libraries and header files for development with openh323.

%prep
%setup -q -n openh323
%patch0 -p1 -b .makefiles  
%patch1 -p1 -b .nosamples
%patch2 -p1 -b .hate
%patch3 -p1 -b .libname
%patch4 -p1 -b .PIC
%patch6 -p1 -b .strndup


%build
(mkdir pwlibdir; cd pwlibdir;
ln -s %{_datadir}/pwlib/make make
ln -s %{_datadir} share
ln -s %{_includedir} include
ln -s %{_libdir} lib
mkdir -p tools
ln -s %{_bindir} tools/asnparser
ln -s %{_bindir} bin
)
export PWLIBDIR=%{_builddir}/openh323/pwlibdir
export OPENH323DIR=%{_builddir}/openh323
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/openh323,%{_bindir},%{_datadir}/openh323}

cp -d lib/lib*.so* $RPM_BUILD_ROOT%{_libdir}
install include/*.h $RPM_BUILD_ROOT%{_includedir}/openh323

sed -e's@\$(OPENH323DIR)/include@&/openh323@' < openh323u.mak \
	> $RPM_BUILD_ROOT%{_datadir}/openh323/openh323u.mak

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ReadMe.txt mpl-1.0.htm
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/openh323

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.11.2-4.1E.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on openh323-1.11.2-4.1E.src.rpm
  (md5sum of original source rpm: be534d16159a8a155269ae25ad75b5a2).

* Fri Sep 12 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-4.1E
- rebuild

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-3
- Update the PIC patch for the speex codec.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-2
- Actually mkdir datadir/openh323

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-1
- Update to 1.11.2
- Removed extra speex source as it's now built in
- Update build patches
- Moved openh323u.mak to datadir/openh323

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.9.10-5
- Rebuild

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-4
- Add speex header files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-3
- Fix unpackages files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-2
- Fix speex linking
- Remove custom strndup that was colliding with system one

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-1
- Update to 1.9.10
- Include speex tarball

* Wed Oct  9 2002 Alex Larsson <alexl@redhat.com> 1.9.3-5
- Change to use _libdir etc. throughout specfile
- Build with -fPIC

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Aug  6 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-3
- Removed excludearch ia64

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.9.3-2
- rebuild using gcc-3.2-0.1

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-1
- Update to 1.9.3

* Tue Jul  2 2002 Alexander Larsson <alexl@redhat.com> 1.9.1-1
- Updated to 1.9.1, some changes borrowed from
- the rpms by Carl-Johan Kjellander 

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Add versioned dependency on main package in devel package
- Fix to long line in desctiption

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Bump version to rebuild against new pwlib

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.8.0

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.6.1-3
- made the devel package require the binary package

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-2
- Changed libname to liboh323

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-1
- Upgraded to 1.6.0

* Thu Jul  5 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-3
- Remove PLATFORM_TYPE from libname

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-2
- More fixups. The patch is not named IHATEYOU because of a loving relationship...

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
